org.eclipse.team.core.variants

## Interface ISynchronizerChangeListener

All Known Implementing Classes:
  ThreeWaySubscriber

    public interface ISynchronizerChangeListener

Listener that can receive notification from a `ThreeWaySynchronizer` when the synchronization state of one or more resources has changed.

Since:
  3.0
See Also:
  `ThreeWaySynchronizer`

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `syncStateChanged(IResource[] resources)` Notification of synchronization state changes for the given resources.

### Method Detail

#### syncStateChanged

    void syncStateChanged(IResource[] resources)

Notification of synchronization state changes for the given resources. Clients must query the `ThreeWaySynchronizer` that generated this event to determine the new synchronization state.

Parameters:
  `resources` - the resources whose synchronization state has changed